%define		rel		1
%define		gitver	7dc2f25
Summary:	Cross NaCL GNU binary utility development utilities - binutils
Name:		crossnacl-binutils
Version:	2.24
Release:	0.git%{gitver}.%{rel}
License:	GPL
Group:		Development/Tools
Source0:	nacl-binutils-%{version}-git%{gitver}.tar.xz
# Source0-md5:	62c1372814f7873be066fe316fbe1c9c
Source1:	get-source.sh
URL:		https://chromium.googlesource.com/native_client/nacl-binutils/
BuildRequires:	bash
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	fslint
BuildRequires:	python-modules
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		x86_64-nacl
%define		arch		%{_prefix}/%{target}

%description
Binutils is a collection of binary utilities, including:
- ar - create, modify and extract from archives,
- nm - lists symbols from object files,
- objcopy - copy and translate object files,
- objdump - display information from object files,
- ranlib - generate an index for the contents of an archive,
- size - list the section sizes of an object or archive file,
- strings - list printable strings from files,
- strip - discard symbols,
- c++filt - a filter for demangling encoded C++ symbols,
- addr2line - convert addresses to file and line,
- nlmconv - convert object code into an NLM.

This package contains the cross version for NaCL.

%description -l pl.UTF-8
Pakiet binutils zawiera zestaw narzędzi umożliwiających kompilację
programów. Znajdują się tutaj między innymi assembler, konsolidator
(linker), a także inne narzędzia do manipulowania binarnymi plikami
programów i bibliotek.

Ten pakiet zawiera wersję skrośną generującą kod dla NaCl.

%prep
%setup -q -n nacl-binutils-%{version}-git%{gitver}

%build
# ldscripts won't be generated properly if SHELL is not bash...
CFLAGS="%{rpmcflags} -fno-strict-aliasing" \
LDFLAGS="%{rpmldflags}" \
CONFIG_SHELL="/bin/bash" \
./configure \
	--build=%{_target_platform} \
	--host=%{_target_platform} \
	--target=%{target} \
	--enable-targets=%{_host} \
%ifarch ia64
	--enable-targets=i386-linux \
%endif
%ifarch ppc ppc64
	--enable-targets=spu \
%endif
%ifarch %{ix86} sparc sparc64 ppc ppc64 s390 sh arm
	--enable-64-bit-bfd \
%endif
	--disable-shared \
	--disable-nls \
	--disable-werror \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--enable-plugins

%{__make} all \
	tooldir=%{_prefix} \
	EXEEXT=""

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}
%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

# fix copies to be hardlinks (maybe should symlink in the future)
findup -m $RPM_BUILD_ROOT

# remove these man pages unless we cross-build for win*/netware platforms.
# however, this should be done in Makefiles.
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/{*dlltool,*nlmconv,*windres}.1

# packaged in base binutils
%{__rm} -rv $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/%{target}-*
%dir %{arch}
%dir %{arch}/bin
%attr(755,root,root) %{arch}/bin/*
%dir %{arch}/lib
%dir %{arch}/lib/*
%{arch}/lib/ldscripts/*
%{_mandir}/man1/%{target}-*.1*
%changelog
* Thu Mar 06 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossnacl-binutils.git;a=log;h=master

* Mon Feb 24 2014 Elan Ruusamäe <glen@delfi.ee> 030003e
- up to 2.24 (git 7dc2f25)

* Sun May 26 2013 Elan Ruusamäe <glen@delfi.ee> 8ae7830
- up to bd55408, clang fixes

* Tue Jan 01 2013 Elan Ruusamäe <glen@delfi.ee> ec9d884
- use git archive to xz

* Fri Dec 07 2012 Elan Ruusamäe <glen@delfi.ee> 53a502a
- update for omahaproxy changes

* Sun Nov 11 2012 Elan Ruusamäe <glen@delfi.ee> caf4e83
- use http url for omahaproxy

* Fri Sep 14 2012 Elan Ruusamäe <glen@delfi.ee> 656f9f4
- revert a710c0, e0648d3 is newer than f412ed5 in nacl-binutils repo

* Thu Sep 13 2012 Elan Ruusamäe <glen@delfi.ee> d5197b4
- use xz source

* Thu Sep 13 2012 Elan Ruusamäe <glen@delfi.ee> e018238
- use bare git repo

* Thu Sep 13 2012 Elan Ruusamäe <glen@delfi.ee> ac24d0f
- allow override channel

* Thu Sep 13 2012 Elan Ruusamäe <glen@delfi.ee> 928d61c
- check errors

* Fri Sep 07 2012 Elan Ruusamäe <glen@delfi.ee> a710c06
- up to f412ed5 (some "silly hack" removed)

* Wed Aug 01 2012 Elan Ruusamäe <glen@delfi.ee> f148c52
- restore lost nacl_revision

* Wed Aug 01 2012 Elan Ruusamäe <glen@delfi.ee> c1129c8
- up to git e0648d3

* Wed Aug 01 2012 Elan Ruusamäe <glen@delfi.ee> 28a5082
- update code to use branch name as input

* Fri Jul 06 2012 Elan Ruusamäe <glen@pld-linux.org> db3f76f
- cleanup

* Fri Jul 06 2012 Elan Ruusamäe <glen@pld-linux.org> fff4bba
- up to git f412ed5, referred from
  chromium-browser-20.0.1132.47/src/native_client/tools/REVISIONS
  NACL_BINUTILS_COMMIT=f412ed57de094c8c33ff23e523e977a67d19fa5d

* Fri Jul 06 2012 Elan Ruusamäe <glen@pld-linux.org> 00c2a75
- mention shorthash of existing tarball

* Fri Jul 06 2012 Elan Ruusamäe <glen@pld-linux.org> 8a75c0d
- fetch only master branch

* Fri Jul 06 2012 Elan Ruusamäe <glen@pld-linux.org> c170007
- save some space, do not checkout local copy

* Fri Jul 06 2012 Elan Ruusamäe <glen@pld-linux.org> bfb6667
- currently depth=1 works too

